//
//  ViewController.swift
//  SwiftRefresh
//
//  Created by 吾久 on 2017/7/24.
//  Copyright © 2017年 吾久. All rights reserved.
//

import UIKit

class ViewController: UIViewController,UITableViewDataSource,UITableViewDelegate {

    fileprivate var refressview:RefreshView!
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        self.title = "下拉刷新"
        self.view.backgroundColor = UIColor.white
        let tableview = UITableView(frame: self.view.frame, style: .plain)
        tableview.backgroundColor = UIColor.groupTableViewBackground
        tableview.delegate = self
        tableview.dataSource = self
        self.view.addSubview(tableview)

        refressview = RefreshView(frame: CGRect(x: 0, y: -180, width: self.view.frame.width, height: 180), scrollView: tableview, didRefreshBlock: {

        })
        tableview.addSubview(refressview)
        
    }

    func scrollViewDidScroll(_ scrollView: UIScrollView) {

        refressview.scrollViewDidScroll(scrollView)
    }


    func scrollViewWillEndDragging(_ scrollView: UIScrollView, withVelocity velocity: CGPoint, targetContentOffset: UnsafeMutablePointer<CGPoint>) {
        refressview.scrollViewWillEndDragging(scrollView, withVelocity: velocity, targetContentOffset: targetContentOffset)
    }



    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {

        return 20
    }

    func tableView(_ tableView: UITableView, heightForRowAt indexPath: IndexPath) -> CGFloat {

        return 80
    }

    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {

        var cell = tableView.dequeueReusableCell(withIdentifier: "ID")
        if cell == nil {

            cell = UITableViewCell(style: .default, reuseIdentifier: "ID")
        }
        cell?.textLabel?.text = "---------第\(indexPath.row)行"
        return cell!
    }
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

